extends Scene


func _on_cemetery_interacted() -> void:
	$kq4_018_cemetery.default_script(self)


func _on_mountain_pass_interacted() -> void:
	$kq4_030_mountain_pass.default_script(self)


func _on_forest_path_with_cottage_interacted() -> void:
	$kq4_023_forest_path_with_cottage.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "You see a beautiful waterfall cascading down the mountain into a deep blue pool. From the pool, a river courses westward. Around you, a dense forest closes in.")
	).build(self, "_on_script_complete"))


func _on_waterfall_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Water cascades down the rocky cliff into a crystal clear pool below. The sound of rushing water fills the air.")
	).build(self, "_on_script_complete"))


func _on_waterfall_transition_interacted() -> void:
	$waterfall_transition.default_script(self)
